package org.texttechnologylab.project.gruppe_05_1.domain.speech;

import java.util.Objects;
import java.util.StringJoiner;

public abstract class Agenda {
    String  index;
    String  id;
    String  title;

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof Agenda agenda)) return false;
        return Objects.equals(index, agenda.index) && Objects.equals(id, agenda.id) && Objects.equals(title, agenda.title);
    }

    @Override
    public int hashCode() {
        return Objects.hash(index, id, title);
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", Agenda.class.getSimpleName() + "[", "]")
                .add("index='" + index + "'")
                .add("id='" + id + "'")
                .add("title='" + title + "'")
                .toString();
    }
}
